Trigger document test
curl --request POST \
--url https://api.avidoai.com/v0/documents/tests/trigger \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"type": "KNOWLEDGE_COVERAGE"
}
'import requests
url = "https://api.avidoai.com/v0/documents/tests/trigger"
payload = { "type": "KNOWLEDGE_COVERAGE" }
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({type: 'KNOWLEDGE_COVERAGE'})
};
fetch('https://api.avidoai.com/v0/documents/tests/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"type": "KNOWLEDGE_COVERAGE",
"status": "PENDING",
"results": null,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
}
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Document Tests
Trigger document test
Creates and triggers a document test execution. For KNOWLEDGE_COVERAGE and DOCS_TO_TASKS_MAPPING, applicationId is required.
POST
/
v0
/
documents
/
tests
/
trigger
Trigger document test
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for triggering a document test execution
Type of document test
Available options:
KNOWLEDGE_COVERAGE, MECE, DOCS_TO_TASKS_MAPPING Example:
"KNOWLEDGE_COVERAGE"
Response
Document test triggered successfully
Successful response containing document test data
A document test execution for evaluating knowledge base quality (MECE, Coverage, etc.)
Show child attributes
Show child attributes
⌘I